Skip to main content
POST
/
v3
/
10dlc
/
brands
/
{brand_id}
/
campaigns
/
{campaign_id}
/
nudge
Nudge a carrier to review the campaign
curl --request POST \
  --url https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/nudge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "nudge_intent": "REVIEW",
  "description": "Please review the campaign."
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

brand_id
string
required

Unique identifier of a Brand

Example:

"B9FXYNH"

campaign_id
string
required

Unique identifier of a Campaign

Example:

"CSJ4TV0"

Body

application/json

The nudge request

The nudge request

nudge_intent
string
required

The nudge intent. Use REVIEW to request action on a pending approval, or to APPEAL_REJECTION to submit an appeal for a rejected campaign.

Example:

"REVIEW"

description
string
required

The description of the nudge request

Example:

"Please review the campaign."

Response

Request successful.

success
boolean
required

Indicates a successful request

Example:

true